- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# CIAO::DomainDataManager Class Reference

Responsible for maintaining the Domain Information. More...

`#include <DomainDataManager.h>`

Collaboration diagram for CIAO::DomainDataManager:

[legend]
List of all members.

## Public Member Functions
int | update_domain (const ::CORBA::StringSeq &elements, const ::Deployment::Domain &domainSubset,::Deployment::DomainUpdateKind updateKind)
| This function is called by the other classes to update current domain data.
::Deployment::Domain * | get_initial_domain ()
| This function is called the Executor code to get the Original Domain data.
::Deployment::Domain * | get_current_domain ()
| This function is called the Executor code to get the Current Domain data.
| DomainDataManager (CORBA::ORB_ptr orb,::Deployment::TargetManager_ptr target)
## Protected Member Functions
int | readin_domain_data ()
| It will read the initial Domain data from XML files.
int | call_all_node_managers ()
| This function calls all NM and gives them the sub-domain.
## Protected Attributes
CORBA::ORB_var | orb_
| The ORB pointer.
CIAO::Deployment_Configuration | deployment_config_
| The Deployment Configuration.
::Deployment::Domain | initial_domain_
::Deployment::Domain | current_domain_
::Deployment::TargetManager_var | target_mgr_
| The Target Manager Context.

## Detailed Description

Responsible for maintaining the Domain Information.

It maintains both the Current Domain Information as well as the Initial domain at full capacity.

## Constructor & Destructor Documentation

CIAO::DomainDataManager::DomainDataManager | ( | CORBA::ORB_ptr | orb,
|  | ::Deployment::TargetManager_ptr | target |
| ) |  |  |

Constructor

Parameters:

  | orb | The orb pointer
  | target | The Target Manager Object Reference

## Member Function Documentation

int CIAO::DomainDataManager::call_all_node_managers | ( |  | ) | `[protected]`

This function calls all NM and gives them the sub-domain.

call_all_node_managers

Deployment::Domain * CIAO::DomainDataManager::get_current_domain | ( |  | ) |

This function is called the Executor code to get the Current Domain data.

getCurrentDomain

Returns:
  Domain* The Current Domain

Deployment::Domain * CIAO::DomainDataManager::get_initial_domain | ( |  | ) |

This function is called the Executor code to get the Original Domain data.

getInitialDomain

Returns:
  Domain* The Initial Domain

int CIAO::DomainDataManager::readin_domain_data | ( |  | ) | `[protected]`

It will read the initial Domain data from XML files.

readinDomainData

int CIAO::DomainDataManager::update_domain | ( | const ::CORBA::StringSeq & | elements,
|  | const ::Deployment::Domain & | domainSubset,
|  | ::Deployment::DomainUpdateKind | updateKind |
| ) |  |  |

This function is called by the other classes to update current domain data.

updateDomain

Parameters:

  | elements | The string sequence of elements being updated
  | domainSubset | The subset of the actual Domain to be updated
  | updateKind | Specifies the update type eg. add, delete, update

## Member Data Documentation

::Deployment::Domain CIAO::DomainDataManager::current_domain_`[protected]`

The Current Domain - contains resources at current capacity

CIAO::Deployment_Configuration CIAO::DomainDataManager::deployment_config_`[protected]`

The Deployment Configuration.

::Deployment::Domain CIAO::DomainDataManager::initial_domain_`[protected]`

The Initial Domain - contains resources at total capacity

CORBA::ORB_var CIAO::DomainDataManager::orb_`[protected]`

The ORB pointer.

::Deployment::TargetManager_var CIAO::DomainDataManager::target_mgr_`[protected]`

The Target Manager Context.

The documentation for this class was generated from the following files:

- DomainDataManager.h
- DomainDataManager.cpp